# Flush and send buffered commands

## SYNOPSIS

#include <libmemcached/memcached.h>

  Compile and link with -lmemcached

memcached_return_t memcached_flush_buffers(memcached_st *ptr)
  Parameters:

    ptr -- pointer to initialized `memcached_st` struct

  Returns:

    `memcached_return_t` indicating success

## DESCRIPTION

`memcached_flush_buffers()` is used in conjunction with `MEMCACHED_BEHAVIOR_BUFFER_REQUESTS` to flush all buffers by sending the buffered commands to the server for processing.

## RETURN VALUE

A value of type `memcached_return_t` is returned. On success that value will be `MEMCACHED_SUCCESS`. Use `memcached_strerror()` to translate this value to a printable string.

## SEE ALSO

- memcached(1)

- C/C++ Client Library for memcached

- Converting Error Codes to Messages

- Behaviors of the library